import type { BaseStore } from "./Store";
export declare type StoreType = {
    [K in keyof typeof BaseStore['prototype']]: typeof BaseStore['prototype'][K];
} & {
    vueBinding: string;
};
export declare type StoreMeta = {
    className: string;
    importPath: string;
    exportName: string;
    vueBinding: string;
    actions: {
        name: string;
        params: {
            name: string;
            defaultValue: string;
            type: string;
        }[];
    }[];
    module: () => {
        [key: string]: {
            [key: string]: any;
        };
    };
};
export declare type StoreLoaderModule = {
    stores: StoreMeta[];
};
